## wacomtablet-2.9.82.tar.xz

=== CMakeLists.txt ===

cmake_minimum_required(VERSION 3.0)

project(wacomtablet)

set(QT_MIN_VERSION "5.3.0")
find_package(ECM 1.6.0 REQUIRED CONFIG)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)
include(FeatureSummary)
include(ECMOptionalAddSubdirectory)
include(ECMInstallIcons)

find_package(ECM REQUIRED NOCOMPONENTS)
find_package(Qt5 REQUIRED COMPONENTS Core Gui Widgets DBus X11Extras Qml)
find_package(KF5 REQUIRED COMPONENTS CoreAddons I18n GlobalAccel Config XmlGui WidgetsAddons WindowSystem Notifications DBusAddons Plasma DocTools)
find_package(XCB REQUIRED COMPONENTS RANDR OPTIONAL_COMPONENTS XINPUT)
find_package(X11 REQUIRED COMPONENTS XLIB RANDR)


# xcb-xinput is an experimental API and is not built by default in the xcb
# repository. Downstream distributions without xcb-xinput, such as Kubuntu, can
# build using the Xlib version of the library instead.
#
# Because Qt5 uses xcb exclusively for native event handling, kded is unable
# to monitor hotplugging events, since these are signaled as xinput events.
#
# Users can enable xcb-xinput by building xcb with the configuration flag --enable-xinput.
if(XCB_XINPUT_FOUND)
    message(STATUS "Using XCB_XINPUT.  Please note this is an unstable API.")
    set(USING_X_LIBRARIES XCB::XINPUT XCB::RANDR ${X11_Xrandr_LIB} ${X11_Xinput_LIB})
    add_definitions(-DHAVE_XCB_XINPUT)
else()
    message(STATUS "Falling back to X11_XINPUT.  (Daemon will be unable to monitor hotplugging.)")
    set(USING_X_LIBRARIES XCB::RANDR ${X11_LIBRARIES} ${X11_Xinput_LIB} ${X11_Xrandr_LIB})
endif()



# local cmake modules
set(CMAKE_MODULE_PATH
    ${CMAKE_MODULE_PATH}
    ${CMAKE_SOURCE_DIR}/cmake/modules
)

find_package(XorgWacom REQUIRED)

add_definitions( -DQT_STRICT_ITERATORS )
add_definitions( -DQT_NO_CAST_FROM_ASCII )
add_definitions( -DQT_NO_CAST_TO_ASCII )
add_definitions( -DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS )

add_subdirectory( src )
add_subdirectory( data )
add_subdirectory( images )
add_subdirectory( doc )

### Tests
if(BUILD_TESTING)
  find_package(Qt5Test ${QT_MIN_VERSION} CONFIG REQUIRED)
  add_subdirectory( autotests )
endif()


feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

  find_package(KF5DocTools CONFIG)
  if(KF5DocTools_FOUND)
    kdoctools_install(po)
  endif()

=== autotests/CMakeLists.txt ===
find_package(Qt5Test REQUIRED)
include(ECMMarkAsTest)

include_directories( ${CMAKE_SOURCE_DIR}/src )
include_directories( ${CMAKE_SOURCE_DIR}/src/common )
include_directories( ${CMAKE_SOURCE_DIR}/src/kded )

set(WACOM_COMMON_TEST_LIBS wacom_common Qt5::Test)
set(WACOM_KDED_TEST_LIBS kded_wacomtablet_lib ${kded_wacomtablet_LIBS} Qt5::Test)

# Add common Tests
add_subdirectory( common/buttonshortcut )
add_subdirectory( common/deviceinformation )
add_subdirectory( common/deviceprofile )
add_subdirectory( common/deviceprofileconfigadaptor )
add_subdirectory( common/deviceproperty )
add_subdirectory( common/enum )
add_subdirectory( common/profilemanager )
add_subdirectory( common/property )
add_subdirectory( common/propertyset )
add_subdirectory( common/tabletarea )
add_subdirectory( common/tabletinformation )
add_subdirectory( common/tabletprofile )
add_subdirectory( common/tabletprofileconfigadaptor )

# Add kded Tests
add_subdirectory( kded/dbustabletservice )
add_subdirectory( kded/tabletbackend )
add_subdirectory( kded/tabletdatabase )
add_subdirectory( kded/tablethandler )
add_subdirectory( kded/xinputadaptor )
add_subdirectory( kded/xsetwacomadaptor )

=== src/kded/CMakeLists.txt ===

## libraries
set(kded_wacomtablet_LIBS
   wacom_common
   KF5::CoreAddons
   KF5::Notifications
   KF5::XmlGui
   KF5::DBusAddons
   KF5::ConfigCore
   ${USING_X_LIBRARIES}
)

## sources
set(kded_wacomtablet_SRCS
    dbustabletservice.cpp
    eventnotifier.cpp
    procsystemadaptor.cpp
    procsystemproperty.cpp
    tabletbackend.cpp
    tabletbackendfactory.cpp
    tabletdaemon.cpp
    tabletfinder.cpp
    tablethandler.cpp
    x11eventnotifier.cpp
    x11tabletfinder.cpp
    xinputadaptor.cpp
    xinputproperty.cpp
    xsetwacomadaptor.cpp
    xsetwacomproperty.cpp
    ../common/globalactions.cpp
)

## dbus interfaces
qt5_add_dbus_adaptor(kded_wacomtablet_SRCS org.kde.Wacom.xml dbustabletservice.h Wacom::DBusTabletService)

## build KDE daemon module
add_definitions(-DTRANSLATION_DOMAIN=\"wacomtablet\")
add_library(kded_wacomtablet MODULE ${kded_wacomtablet_SRCS})
target_link_libraries( kded_wacomtablet ${kded_wacomtablet_LIBS} )

## files to install
install(TARGETS kded_wacomtablet DESTINATION ${KDE_INSTALL_PLUGINDIR})

install(FILES wacomtablet.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR}/kded)
install(FILES wacomtablet.notifyrc DESTINATION "${KNOTIFYRC_INSTALL_DIR}")

install(FILES org.kde.Wacom.xml DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR})


## LIBRARY FOR UNIT TESTS
if (BUILD_TESTING)

    ## headers which need to be moc'ed for the static unit-testing library
    set(kded_wacomtablet_HDRS
        dbustabletservice.h
        tabletdaemon.h
        tablethandler.h
        eventnotifier.h
        x11eventnotifier.h
    )

    ## build static library for unit testing
    add_library( kded_wacomtablet_lib STATIC ${kded_wacomtablet_SRCS} )
    target_link_libraries( kded_wacomtablet_lib ${kded_wacomtablet_LIBS} )
    set_target_properties( kded_wacomtablet_lib PROPERTIES COMPILE_FLAGS "-fPIC" )

endif (BUILD_TESTING)

=== src/tabletfinder/CMakeLists.txt ===

set( tabletfinder_SRCS
     main.cpp
     dialog.cpp
     hwbuttondialog.cpp
)

ki18n_wrap_ui( tabletfinder_SRCS
                   dialog.ui
                   hwbuttondialog.ui
)

add_executable(kde_wacom_tabletfinder ${tabletfinder_SRCS})

target_link_libraries( kde_wacom_tabletfinder
                       wacom_common
                       ${KDE4_KDECORE_LIBS}
                       ${KDE4_KDEUI_LIBS}
                       ${X11_X11_LIB}
                       ${X11_Xinput_LIB}
                       ${X11_LIBRARIES}
)

install(TARGETS kde_wacom_tabletfinder DESTINATION ${KDE_INSTALL_BINDIR} )
install( FILES kde_wacom_tabletfinder.desktop  DESTINATION  ${KDE_INSTALL_APPDIR} )

=== debian/changelog ===
wacomtablet (2.1.0-0.1.beta1) unstable; urgency=low

  * Implement support for multible tablets at once
  * Add simple dialog app to ease tablet detection and databse adding
  * Add global shortcut for profile rotation
  * Add status LED support for profile rotation (Intous/Chintiq)
  * Fix profile not found error on tablet connect

 -- Jörg Ehrichs <Joerg.Ehrichs@gmx.de>  Thu, 21 Aug 2014 19:00:00 +0100

wacomtablet (2.0.2-0ppa1) unstable; urgency=low

  * Fix compile error on older Qt versions
  * Add Raw Sample and Suppress to ui

 -- Jörg Ehrichs <Joerg.Ehrichs@gmx.de>  Thu, 10 Jul 2014 12:00:00 +0100

wacomtablet (2.0.1-0ppa1) unstable; urgency=low

  * More translations
  * Add Wacom Intuos Pro S / PTH-451/S
  * Add WacomIntuos Pen Small / CTL-480S tablet
  * Add definition of Wacom Intuos PT S / CTH-680S-RUPL
  * Add Wacom Intuos PT M / CTH-680S-ENES
  * Add support for Wacom Intuos Pro M / PTH-651
  * cmake: remove extra kio linking
  * adjusted control point and draw below curve area colors to be less websafe looking
  * Added Wacom Cintiq 13HD
  * Added Samsung Series 7 Slate

 -- Jörg Ehrichs <Joerg.Ehrichs@gmx.de>  Wed, 25 Jun 2014 12:00:00 +0100

wacomtablet (2.0-0ppa1) unstable; urgency=low

  * No changes to release candidate 2.

 -- Alexander Maret <alex@maret.de>  Wed, 08 May 2013 17:00:00 +0100

wacomtablet (1.99.9-0ppa1) unstable; urgency=low

  * KCM Wacom Tablet 2.0-rc2 release.
  * Fixed bug where the default profile would not be created properly.
  * Fixed bug which prevented special keys from being used as express button shortcuts.

 -- Alexander Maret <alex@maret.de>  Sun, 05 May 2013 08:00:00 +0100

wacomtablet (1.99.8-0ppa1) unstable; urgency=low

  * KCM Wacom Tablet 2.0-rc1 release.
  * Fixed bug where the plasma applet would not rotate the stylus controls.
  * Fixed bug which displayed the tablet in an inverted rotation if auto-rotate was selected.
  * Fixed bug which prevented the screen mappings from being applied correctly when the tablet was rotated.
  * Fixed bug which would not allow to set a screen mapping on the touch device.
  * Fixed bug where invalid area mappings would make the stylus stick in the upper left corner.
  * Changed way how tablets are reset to their full tablet mapping to fix problems with Intuos 5 tablets.
  * Added some more tablets to the tablet database.
  * Updated button hardware mappings for the Intuos 5 Touch.
  * Disabled Waltop devices in the database as they are in conflict with some Wacom devices.

 -- Alexander Maret <alex@maret.de>  Sun, 30 Mar 2013 18:00:00 +0100

wacomtablet (1.99.7-0ppa1) unstable; urgency=low

  * KCM Wacom Tablet 2.0-beta7 release.
  * Fixed bug which would clear all express button shortcuts.
  * Tablet and touch area selection now takes the rotation settings into account.
  * Added feature which allows the user to invert the scroll direction of the touch device.

 -- Alexander Maret <alex@maret.de>  Sun, 17 Mar 2013 22:00:00 +0100

wacomtablet (1.99.6-0ppa1) unstable; urgency=low

  * KCM Wacom Tablet 2.0-beta6 release.
  * Fixed bug which prevented express button shortcuts from being set correctly.
  * Fixed bug which would not take the current tablet to screen area mapping into account.

 -- Alexander Maret <alex@maret.de>  Sun, 17 Mar 2013 11:00:00 +0100

wacomtablet (1.99.5-0ppa1) unstable; urgency=low

  * KCM Wacom Tablet 2.0-beta5 release.
  * Tablet areas can now be selected for each screen independently.
  * All screen mapping can now be handled with one dialog.

 -- Alexander Maret <alex@maret.de>  Sat, 16 Mar 2013 16:00:00 +0100

wacomtablet (1.99.4-0ppa1) unstable; urgency=low

  * KCM Wacom Tablet 2.0-beta4 release.
  * New KCM GUI.
  * Improved button shortcut handling.
  * Improved handling of auto-rotation.

 -- Alexander Maret <alex@maret.de>  Thu, 14 Mar 2013 20:00:00 +0100

wacomtablet (1.99.3-0ppa1) unstable; urgency=low

  * Save changed tablet rotatation when screen rotates to profile
  * Add support for Wacom Intuos5 M Pen pad
  * Add FindPkgConfig.cmake for the xorg wacom input driver
  * Fix hw button assignment for MTE-450
  * Save touch/pen mode into profile after using the hotkey
  * Support global shortcuts to switch screen mapping + TabletArea

 -- Jörg Ehrichs <joerg.ehrichs@gmx.de>  Wed, 23 Jan 2013 15:00:00 +0100

wacomtablet (1.99.2-0ppa1) unstable; urgency=low

  * KCM Wacom Tablet 2.0-beta1 relase.
  * New backend since 1.3.x, no new features.

 -- Alexander Maret <alex@maret.de>  Sun, 04 Nov 2012 15:00:00 +0100

wacomtablet (1.99.1-0ppa1) unstable; urgency=low

  * KCM Wacom Tablet 2.0-alpha2 release.

 -- Alexander Maret <alex@maret.de>  Wed, 29 Oct 2012 12:00:00 +0200

wacomtablet (1.99.0-0ppa1) unstable; urgency=low

  * KCM Wacom Tablet 2.0-alpha1 release.

 -- Alexander Maret <alex@maret.de>  Wed, 26 Sep 2012 12:00:00 +0200

=== debian/control ===
Source: wacomtablet
Section: kde
Priority: extra
Maintainer: Alexander Maret <alex@maret.de>
Build-Depends: debhelper, cmake,
 libkf5coreaddons-dev, libkf5i18n-dev, gettext, libkf5dbusaddons-dev, libkf5globalaccel-dev, libkf5config-dev, libkf5xmlgui-dev,
 libkf5notifications-dev, plasma-framework-dev, kdoctools-dev, xserver-xorg-input-wacom, libxrandr-dev, libxi-dev
Standards-Version: 3.9.2
Homepage: http://projects.kde.org/projects/extragear/base/wacomtablet

Package: kde-config-tablet
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, xserver-xorg-input-wacom
Recommends: ${shlibs:Recommends}
Description: implements a KDE configuration GUI for the Wacom drivers
 KDE Wacom tablet KCModule
 .
 This module implements a GUI for the Wacom Linux Drivers and extends it
 with profile support to handle different button / pen layouts per profile.
 .
 For hardware support have a look at http://www.linuxwacom.sourceforge.net
 .
 All tablets can be set up as long as they are found via xorg.conf or HAL 
 configuration.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --buildsystem=cmake
